// CrashReporter application.
// Copyright (c) 2009-2011 by Elijah Zarezky,
// All rights reserved.

// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// CrashReporterApp.h - interface of the CCrashReporterApp class

// initially generated by AfxScratch v1.1.4778 on 14.08.2009 at 18:13:40
// visit http://zarezky.spb.ru/projects/afx_scratch.html for more info

#if !defined(__CrashReporterApp_h)
#define __CrashReporterApp_h

#if defined(_MSC_VER) && (_MSC_VER > 1000)
#pragma once
#endif   // _MSC_VER

class CCrashReporterApp: public CWinApp
{
	DECLARE_DYNAMIC(CCrashReporterApp)
	DECLARE_MESSAGE_MAP()

// construction/destruction
public:
	CCrashReporterApp(void);
	virtual ~CCrashReporterApp(void);

// operations
public:
	HICON LoadSmIcon(LPCTSTR pszResName);

// overridables
public:
	virtual BOOL InitInstance(void);

// helpers for registration
public:
	HKEY GetAppRegistryKey(void);
	HKEY GetSectionKey(LPCTSTR lpszSection);

// attributes
public:
	HINSTANCE m_hLangDLL;
	CString m_strUpdateItExe;
	CString m_strAppDataPath;

// implementation helpers
private:
	void GetAbsolutePath(LPTSTR pszDest, LPCTSTR pszRelativePath);
	bool RegQueryLanguagePath(LPCTSTR pszValueName, LPTSTR pszDest, ULONG cchMaxLen = _MAX_PATH);
	bool GetLanguagePath(LPTSTR pszDest);
	bool GetAfxLanguagePath(LPTSTR pszDest);
	bool SetCurrentLanguage(void);
	bool SetCurrentAfxLanguage(void);

// diagnostic services
#if defined(_DEBUG)
public:
	virtual void AssertValid(void) const;
	virtual void Dump(CDumpContext& dumpCtx) const;
#endif
};

#endif   // __CrashReporterApp_h

// end of file
