// UpdateIt! application.
// Copyright (c) 2002-2011 by Elijah Zarezky,
// All rights reserved.

// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// FirstLaunchPage.h - interface of the CFirstLaunchPage class

#if defined(_MSC_VER) && (_MSC_VER > 1000)
#pragma once
#endif   // _MSC_VER

#if !defined(__FirstLaunchPage_h)
#define __FirstLaunchPage_h

//////////////////////////////////////////////////////////////////////////////////////////////
// dependent includes

#include "BetterPropPage.h"

//////////////////////////////////////////////////////////////////////////////////////////////
// CFirstLaunchPage

//! Encapsulates the "First Launch" page of the UpdateIt! wizard.
class CFirstLaunchPage: public CBetterPropPage
{
	DECLARE_DYNAMIC(CFirstLaunchPage)
	DECLARE_MESSAGE_MAP()

// construction/destruction
public:
	CFirstLaunchPage(void);
	virtual ~CFirstLaunchPage(void);

// overridables
public:
	virtual BOOL OnInitDialog(void);
	virtual BOOL OnSetActive(void);
	virtual BOOL OnKillActive(void);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);

// attributes
public:
	CString m_strAppDataPath;

	CStatic m_iconInfo;
	CXColorStatic m_textEmailGuarantee;
	CStatic m_textEmailInfo;

	CString m_strEmailAddress;
	CString m_strSmtpServer;
	INTERNET_PORT m_nSmtpPort;

// diagnostic services
#if defined(_DEBUG)
public:
	virtual void AssertValid(void) const;
	virtual void Dump(CDumpContext& dumpCtx) const;
#endif
};

#endif   // __FirstLaunchPage_h

// end of file
